Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class SelfManagedDataHolder

    java.lang.Object
      org.apache.axis2.util.SelfManagedDataHolder

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class SelfManagedDataHolder

extends java.lang.Object
implements java.io.Externalizable

See Also:
  Serialized Form

Constructor Summary
`SelfManagedDataHolder()`
`SelfManagedDataHolder(java.lang.String classname, java.lang.String id, byte[] data)`

Method Summary
`java.lang.String` | `getClassname()`
`byte[]` | `getData()`
`java.lang.String` | `getId()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelfManagedDataHolder

    public SelfManagedDataHolder()

### SelfManagedDataHolder

    public SelfManagedDataHolder(java.lang.String classname,
                                 java.lang.String id,
                                 byte[] data)
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### getClassname

    public java.lang.String getClassname()

### getData

    public byte[] getData()

### getId

    public java.lang.String getId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.